> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.core/general/wisejeventargs.md).

# WisejEventArgs

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Default arguments for Wisej events.

{% tabs %}
{% tab title="C#" %}

```csharp
public class WisejEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class WisejEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) WisejEventArgs(target, type, args)

Creates a new instance of [WidgetEventArgs](/api/wisej.web/general/control/wisej.web.widgeteventargs.md).

| Name       | Type                                                                        | Description           |
| ---------- | --------------------------------------------------------------------------- | --------------------- |
| **target** | [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md) | The target component. |
| **type**   | [String](https://docs.microsoft.com/dotnet/api/system.string)               | The event type.       |
| **args**   | [Object](https://docs.microsoft.com/dotnet/api/system.object)               | Event arguments.      |

### ![](/files/hsR4ok3152WyAf8J2C1u) WisejEventArgs(e)

Creates a new instance of WisejEventArgs using the incoming event data.

| Name  | Type                                                          | Description                              |
| ----- | ------------------------------------------------------------- | ---------------------------------------- |
| **e** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The event data received from the client. |

## Fields

| Name               | Type                                                                                             | Description                                  |
| ------------------ | ------------------------------------------------------------------------------------------------ | -------------------------------------------- |
| **Keyboard**       | [KeyboardInfo](/api/wisej.core/general/wisejeventargs/wisej.core.wisejeventargs.keyboardinfo.md) | Keyboard information.                        |
| **OriginalTarget** | [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)                      | Returns the original target of the event.    |
| **Parameters**     | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                    | Event parameters.                            |
| **Pointer**        | [PointerInfo](/api/wisej.core/general/wisejeventargs/wisej.core.wisejeventargs.pointerinfo.md)   | Pointer information.                         |
| **Role**           | [String](https://docs.microsoft.com/dotnet/api/system.string)                                    | The "role" attribute of the clicked element. |
| **Target**         | [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)                      | Target component.                            |
| **Type**           | [String](https://docs.microsoft.com/dotnet/api/system.string)                                    | Event type.                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisejeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
